Subject: [Gen-art] Gen-ART review of draft-ietf-ips-iscsi-nodearch-key-03

From: Harald Alvestrand <[email-masked]>
Date: Thu, 07 Dec 2006 10:47:15 +0100

Document: draft-ietf-ips-iscsi-nodearch-key-03
Reviewer: Harald Tveit Alvestrand
Review Date: 2006-12-07
IETF LC End Date: 2006-12-11
IESG Telechat date: (if known)

Summary: Ready to go. Small grumbles.

Comments:

This document does 2 things:

- Register an extension to pass implementation identities around
- Change the registration requirement for extensions to allow Experimental extensions to be registered

The first point is adequately described, with more than enough caveats about what to do and not to do.

The last one seems quite reasonable, given that Informational registration was already allowed. I'm not completely happy about the lumping of that one into this document, but that's the call of the WG and AD.

Two points, which may be addressed if the document is revisited for other reasons:

1) I read RFC 3720 section 13.5.2 as saying that publication of extensions as standards-track is allowed, even though the wording is quite convoluted. So the implication of the language in section 5 that it was previously restricted to informational only seems unwarranted.

2) It would be good if section 5 of this draft pointed specifically at section 13.5.2 of RFC 3720 as the section to be updated, and provided specific language to be read as "this section is now replaced by". I *think* the text only means that the words "as an informational RFC" are changed to "as an informational or experimental RFC, as appropriate", but it would be nice to be 100% certain that this is the intended effect, and that no other section of RFC 3720 needs changing (my scan of 3720 might have overlooked something).

http://tools.ietf.org/wg/ips/draft-ietf-ips-iscsi-nodearch-key/ claims that there are no nits. Good.

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Lars Eggert <[email-masked]>
Date: Thu, 7 Dec 2006 15:09:14 +0100

Harald,

thanks for the review!

On Dec 7, 2006, at 10:47, Harald Alvestrand wrote:
> 1) I read RFC 3720 section 13.5.2 as saying that publication of  
> extensions as standards-track is allowed, even though the wording  
> is quite convoluted. So the implication of the language in section  
> 5 that it was previously restricted to informational only seems  
> unwarranted.

Actually, the problematic section is 12.22, which reads:

    For IANA registered keys the string following X# must be registered
    with IANA and the use of the key MUST be described by an
    informational RFC.

> 2) It would be good if section 5 of this draft pointed specifically  
> at section 13.5.2 of RFC 3720 as the section to be updated, and  
> provided specific language to be read as "this section is now  
> replaced by".

I agree that explicitly pointing at the problematic text in 12.22 and  
providing an in-place replacement is a good idea.

(Authors, please email me an RFC Editor Note to that effect.)

Lars

---

From: [email-masked]
Date: Thu, 7 Dec 2006 18:33:25 -0500

Harald,

Many thanks for reviewing this draft.

> Experimental extensions to be registered

It also instructs IANA to correct some registry problems.

> 1) I read RFC 3720 section 13.5.2 as saying that publication 
> of extensions as standards-track is allowed, even though the 
> wording is quite convoluted. So the implication of the 
> language in section 5 that it was previously restricted to 
> informational only seems unwarranted.

The WG and the editor of the draft that became RFC 3270 do not
share your view of the convoluted wording, and regard this draft
as making a change to the process requirements in RFC 3270.
At a minimum, this draft unambiguously states what is allowed.

> 2) It would be good if section 5 of this draft pointed 
> specifically at section 13.5.2 of RFC 3720 as the section to 
> be updated, and provided specific language to be read as 
> "this section is now replaced by". I *think* the text only 
> means that the words "as an informational RFC" are changed to 
> "as an informational or experimental RFC, as appropriate", 
> but it would be nice to be 100% certain that this is the 
> intended effect, and that no other section of RFC 3720 needs 
> changing (my scan of 3720 might have overlooked something).

I believe your thinking is correct, and I will supply the Area
Director (Lars) with an appropriate RFC Editor Note.

Many thanks to the Gen-ART process and the people who make it
happen, as this draft would have been far less likely to receive
this caliber of IETF Last Call review in Gen-ART's absence.

Thanks,
--David (ips WG chair & shepherd for this draft)

> -----Original Message-----
> From: Harald Alvestrand [mailto:[email-masked]] 
> Sent: Thursday, December 07, 2006 4:47 AM
> To: [email-masked]; [email-masked]; Lars Eggert; Black, David
> Subject: Gen-ART review of draft-ietf-ips-iscsi-nodearch-key-03
> 
> The first point is adequately described, with more than 
> enough caveats about what to do and not to do.
> 
> The last one seems quite reasonable, given that Informational 
> registration was already allowed. I'm not completely happy 
> about the lumping of that one into this document, but that's 
> the call of the WG and AD.
> 
> 1) I read RFC 3720 section 13.5.2 as saying that publication 
> of extensions as standards-track is allowed, even though the 
> wording is quite convoluted. So the implication of the 
> language in section 5 that it was previously restricted to 
> informational only seems unwarranted.
> 
> 2) It would be good if section 5 of this draft pointed 
> specifically at section 13.5.2 of RFC 3720 as the section to 
> be updated, and provided specific language to be read as 
> "this section is now replaced by". I *think* the text only 
> means that the words "as an informational RFC" are changed to 
> "as an informational or experimental RFC, as appropriate", 
> but it would be nice to be 100% certain that this is the 
> intended effect, and that no other section of RFC 3720 needs 
> changing (my scan of 3720 might have overlooked something).
>

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 08 Dec 2006 07:38:42 +0100

> It also instructs IANA to correct some registry problems.
Yes, I saw that - and thought that this was a strange way of sending bug 
reports to IANA - but since the text said that this was to be removed 
before publication, I didn't comment on it.
> At a minimum, this draft unambiguously states what is allowed.
Lars pointed out that I'd actually missed one section of 3720. That 
section was clearer in what it was not saying - section 13.5.2 actually 
mentions standards track, but 12.22 doesn't. So a fix that points at 
both sections would be a Good Thing.
> Director (Lars) with an appropriate RFC Editor Note.
Excellent!